KIO Namespace Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO Namespace Reference

A namespace for KIO globals. More...

## Classes
class | AuthInfo
| This class is intended to make it easier to prompt for, cache and retrieve authorization information. A two way messaging class for passing authentication information. More...
class | NetRC
| A Singleton class that provides access to passwords stored in .netrc and kionetrc for automatic login purposes. An interface to kionetrc and the ftp .netrc files. More...
class | ChmodJob
| This job changes permissions on a list of files or directories, optionally in a recursive manner. More...
class | Connection
| This class provides a simple means for IPC between two applications via a pipe. More...
class | DavJob
| The transfer job pumps data into and/or out of a Slave. More...
class | Job
| The base class for all jobs. More...
class | SimpleJob
| A simple job (one url and one command). More...
class | TransferJob
| The transfer job pumps data into and/or out of a Slave. More...
class | FileCopyJob
| The FileCopyJob copies data from one place to another. More...
class | DeleteJob
class | MetaInfoJob
| Since: 3.1 More...
class | NetAccess
| Net Transparency, formerly provided by kfmlib, but now done with KIO::Job. Provides a synchronous interface to io jobs. More...
class | PasswordDialog
| A dialog for requesting a login and a password from the end user. More...
class | PreviewJob
class | ProgressBase
| This class does all initialization stuff for progress, like connecting signals to slots. Base class for IO progress dialogs. More...
class | RenameDlg
| A dialog for the options to rename two files Since: 3.1. More...
class | Scheduler
| The KIO::Scheduler manages io-slaves for the application. More...
class | SlaveBase
| There are two classes that specifies the protocol between application (job) and kioslave. More...
class | SlaveConfig
| SlaveConfig. More...
class | SlaveInterface
| There are two classes that specifies the protocol between application (job) and kioslave. More...
class | StatusbarProgress
| This is a special IO progress widget. IO progress widget for embedding in a statusbar. More...
class | TCPSlaveBase
| There are two classes that specifies the protocol between application (job) and kioslave. More...
## Typedefs
typedef signed long long int | fileoffset_t
typedef unsigned long long int | filesize_t
typedef QValueList< UDSAtom > | UDSEntry
| An entry is the list of atoms containing all the informations for a file or URL.
typedef QValueList< UDSEntry > | UDSEntryList
typedef QValueListIterator< UDSEntry > | UDSEntryListIterator
typedef QValueListConstIterator< UDSEntry > | UDSEntryListConstIterator
## Enumerations
enum | Error { ERR_CANNOT_OPEN_FOR_READING = 1, ERR_CANNOT_OPEN_FOR_WRITING = 2, ERR_CANNOT_LAUNCH_PROCESS = 3, ERR_INTERNAL = 4, ERR_MALFORMED_URL = 5, ERR_UNSUPPORTED_PROTOCOL = 6, ERR_NO_SOURCE_PROTOCOL = 7, ERR_UNSUPPORTED_ACTION = 8, ERR_IS_DIRECTORY = 9, ERR_IS_FILE = 10, ERR_DOES_NOT_EXIST = 11, ERR_FILE_ALREADY_EXIST = 12, ERR_DIR_ALREADY_EXIST = 13, ERR_UNKNOWN_HOST = 14, ERR_ACCESS_DENIED = 15, ERR_WRITE_ACCESS_DENIED = 16, ERR_CANNOT_ENTER_DIRECTORY = 17, ERR_PROTOCOL_IS_NOT_A_FILESYSTEM = 18, ERR_CYCLIC_LINK = 19, ERR_USER_CANCELED = 20, ERR_CYCLIC_COPY = 21, ERR_COULD_NOT_CREATE_SOCKET = 22, ERR_COULD_NOT_CONNECT = 23, ERR_CONNECTION_BROKEN = 24, ERR_NOT_FILTER_PROTOCOL = 25, ERR_COULD_NOT_MOUNT = 26, ERR_COULD_NOT_UNMOUNT = 27, ERR_COULD_NOT_READ = 28, ERR_COULD_NOT_WRITE = 29, ERR_COULD_NOT_BIND = 30, ERR_COULD_NOT_LISTEN = 31, ERR_COULD_NOT_ACCEPT = 32, ERR_COULD_NOT_LOGIN = 33, ERR_COULD_NOT_STAT = 34, ERR_COULD_NOT_CLOSEDIR = 35, ERR_COULD_NOT_MKDIR = 37, ERR_COULD_NOT_RMDIR = 38, ERR_CANNOT_RESUME = 39, ERR_CANNOT_RENAME = 40, ERR_CANNOT_CHMOD = 41, ERR_CANNOT_DELETE = 42, ERR_SLAVE_DIED = 43, ERR_OUT_OF_MEMORY = 44, ERR_UNKNOWN_PROXY_HOST = 45, ERR_COULD_NOT_AUTHENTICATE = 46, ERR_ABORTED = 47, ERR_INTERNAL_SERVER = 48, ERR_SERVER_TIMEOUT = 49, ERR_SERVICE_NOT_AVAILABLE = 50, ERR_UNKNOWN = 51, ERR_UNKNOWN_INTERRUPT = 53, ERR_CANNOT_DELETE_ORIGINAL = 54, ERR_CANNOT_DELETE_PARTIAL = 55, ERR_CANNOT_RENAME_ORIGINAL = 56, ERR_CANNOT_RENAME_PARTIAL = 57, ERR_NEED_PASSWD = 58, ERR_CANNOT_SYMLINK = 59, ERR_NO_CONTENT = 60, ERR_DISK_FULL = 61, ERR_IDENTICAL_FILES = 62, ERR_SLAVE_DEFINED = 63, ERR_UPGRADE_REQUIRED = 64, ERR_POST_DENIED = 65 }
| Error codes that can be emitted by KIO. More...
enum | UDSAtomTypes { UDS_STRING = 1, UDS_LONG = 2, UDS_TIME = 4 | UDS_LONG, UDS_SIZE = 8 | UDS_LONG, UDS_SIZE_LARGE = 32768 | UDS_LONG, UDS_USER = 16 | UDS_STRING, UDS_GROUP = 32 | UDS_STRING, UDS_NAME = 64 | UDS_STRING, UDS_ACCESS = 128 | UDS_LONG, UDS_MODIFICATION_TIME = 256 | UDS_TIME, UDS_ACCESS_TIME = 512 | UDS_TIME, UDS_CREATION_TIME = 1024 | UDS_TIME, UDS_FILE_TYPE = 2048 | UDS_LONG, UDS_LINK_DEST = 4096 | UDS_STRING, UDS_URL = 8192 | UDS_STRING, UDS_MIME_TYPE = 16384 | UDS_STRING, UDS_GUESSED_MIME_TYPE = 16392 | UDS_STRING, UDS_XML_PROPERTIES = 32768 | UDS_STRING }
| Constants used to specify the type of a KUDSAtom. More...
enum | CacheControl { CC_CacheOnly, CC_Cache, CC_Verify, CC_Refresh, CC_Reload }
enum | Progress { DEFAULT = 1, STATUSBAR = 2, LIST = 3 }
enum | RenameDlg_Mode { M_OVERWRITE = 1, M_OVERWRITE_ITSELF = 2, M_SKIP = 4, M_SINGLE = 8, M_MULTI = 16, M_RESUME = 32, M_NORENAME = 64 }
enum | RenameDlg_Result { R_RESUME = 6, R_RESUME_ALL = 7, R_OVERWRITE = 4, R_OVERWRITE_ALL = 5, R_SKIP = 2, R_AUTO_SKIP = 3, R_RENAME = 1, R_CANCEL = 0 }
enum | SkipDlg_Result { S_SKIP = 1, S_AUTO_SKIP = 2, S_CANCEL = 0 }
enum | Command { CMD_HOST = '0', CMD_CONNECT = '1', CMD_DISCONNECT = '2', CMD_SLAVE_STATUS = '3', CMD_SLAVE_CONNECT = '4', CMD_SLAVE_HOLD = '5', CMD_NONE = 'A', CMD_TESTDIR = 'B', CMD_GET = 'C', CMD_PUT = 'D', CMD_STAT = 'E', CMD_MIMETYPE = 'F', CMD_LISTDIR = 'G', CMD_MKDIR = 'H', CMD_RENAME = 'I', CMD_COPY = 'J', CMD_DEL = 'K', CMD_CHMOD = 'L', CMD_SPECIAL = 'M', CMD_USERPASS = 'N', CMD_REPARSECONFIGURATION = 'O', CMD_META_DATA = 'P', CMD_SYMLINK = 'Q', CMD_SUBURL = 'R', CMD_MESSAGEBOXANSWER = 'S', CMD_RESUMEANSWER = 'T', CMD_CONFIG = 'U', CMD_MULTI_GET = 'V' }
| Commands that can be invoked by a job. More...
enum | Info { INF_TOTAL_SIZE = 10, INF_PROCESSED_SIZE = 11, INF_SPEED, INF_REDIRECTION = 20, INF_MIME_TYPE = 21, INF_ERROR_PAGE = 22, INF_WARNING = 23, INF_GETTING_FILE, INF_NEED_PASSWD = 25, INF_INFOMESSAGE, INF_META_DATA, INF_NETWORK_STATUS, INF_MESSAGEBOX }
| Identifiers for KIO informational messages. More...
enum | Message { MSG_DATA = 100, MSG_DATA_REQ, MSG_ERROR, MSG_CONNECTED, MSG_FINISHED, MSG_STAT_ENTRY, MSG_LIST_ENTRIES, MSG_RENAMED, MSG_RESUME, MSG_SLAVE_STATUS, MSG_SLAVE_ACK, MSG_NET_REQUEST, MSG_NET_DROP, MSG_NEED_SUBURL_DATA, MSG_CANRESUME, MSG_AUTH_KEY, MSG_DEL_AUTH_KEY }
| Identifiers for KIO data messages. More...
## Functions
QDataStream & | operator<< (QDataStream &s, const AuthInfo &a)
QDataStream & | operator>> (QDataStream &s, AuthInfo &a)
ChmodJob * | chmod (const KFileItemList &lstItems, int permissions, int mask, QString newOwner, QString newGroup, bool recursive, bool showProgressInfo=true)
| Creates a job that changes permissions/ownership on several files or directories, optionally recursively.
DavJob * | davPropFind (const KURL &url, const QDomDocument &properties, QString depth, bool showProgressInfo=true)
DavJob * | davPropPatch (const KURL &url, const QDomDocument &properties, bool showProgressInfo=true)
DavJob * | davSearch (const KURL &url, const QString &nsURI, const QString &qName, const QString &query, bool showProgressInfo=true)
QString | convertSize (KIO::filesize_t size)
| Converts `size` from bytes to the string representation.
QString | number (KIO::filesize_t size)
| Converts a size to a string representation Not unlike QString::number(...).
QString | convertSizeFromKB (KIO::filesize_t kbSize)
| Converts size from kilo-bytes to the string representation.
QTime | calculateRemaining (KIO::filesize_t totalSize, KIO::filesize_t processedSize, KIO::filesize_t speed)
| Calculates remaining time from total size, processed size and speed.
QString | itemsSummaryString (uint items, uint files, uint dirs, KIO::filesize_t size, bool showSize)
| Helper for showing information about a set of files and directories `items` = `files` + `dirs` + number of symlinks :).
QString | encodeFileName (const QString &str)
| Encodes (from the text displayed to the real filename) This translates into % and / into 2f Used by KIO::link, for instance.
QString | decodeFileName (const QString &str)
| Decodes (from the filename to the text displayed) This translates 2[fF] into / and % into .
QString | buildErrorString (int errorCode, const QString &errorText)
QString | buildHTMLErrorString (int errorCode, const QString &errorText, const KURL *reqUrl=0L, int method=-1)
QByteArray | rawErrorDetail (int errorCode, const QString &errorText, const KURL *reqUrl=0L, int method=-1)
KIO::CacheControl | parseCacheControl (const QString &cacheControl)
QString | getCacheControlString (KIO::CacheControl cacheControl)
QString | findDeviceMountPoint (const QString &device)
| Returns the mount point where `device` is mounted right now.
QString | findPathMountPoint (const QString &filename)
| Returns the mount point on which resides `filename`.
bool | probably_slow_mounted (const QString &filename)
| Checks if the path belongs to a filesystem that is probably slow.
bool | manually_mounted (const QString &filename)
| Checks if the path belongs to a filesystem that is manually mounted.
SimpleJob * | mkdir (const KURL &url, int permissions=-1)
| Creates a single directory.
SimpleJob * | rmdir (const KURL &url)
| Removes a single directory.
SimpleJob * | chmod (const KURL &url, int permissions)
| Changes permissions on a file or directory.
SimpleJob * | rename (const KURL &src, const KURL &dest, bool overwrite)
| Rename a file or directory.
SimpleJob * | symlink (const QString &target, const KURL &dest, bool overwrite, bool showProgressInfo=true)
| Create or move a symlink.
SimpleJob * | special (const KURL &url, const QByteArray &data, bool showProgressInfo=true)
| Execute any command that is specific to one slave (protocol).
SimpleJob * | mount (bool ro, const char *fstype, const QString &dev, const QString &point, bool showProgressInfo=true)
| Mount filesystem.
SimpleJob * | unmount (const QString &point, bool showProgressInfo=true)
| Unmount filesystem.
SimpleJob * | http_update_cache (const KURL &url, bool no_cache, time_t expireDate)
| HTTP cache update.
StatJob * | stat (const KURL &url, bool showProgressInfo=true)
| Find all details for one file or directory.
StatJob * | stat (const KURL &url, bool sideIsSource, short int details, bool showProgressInfo=true)
| Find all details for one file or directory.
TransferJob * | get (const KURL &url, bool reload=false, bool showProgressInfo=true)
| Get (a.k.a.
TransferJob * | put (const KURL &url, int permissions, bool overwrite, bool resume, bool showProgressInfo=true)
| Put (a.k.a.
TransferJob * | http_post (const KURL &url, const QByteArray &postData, bool showProgressInfo=true)
| HTTP POST (for form data).
MultiGetJob * | multi_get (long id, const KURL &url, const MetaData &metaData)
MimetypeJob * | mimetype (const KURL &url, bool showProgressInfo=true)
| Find mimetype for one file or directory.
FileCopyJob * | file_copy (const KURL &src, const KURL &dest, int permissions=-1, bool overwrite=false, bool resume=false, bool showProgressInfo=true)
| Copy a single file.
FileCopyJob * | file_move (const KURL &src, const KURL &dest, int permissions=-1, bool overwrite=false, bool resume=false, bool showProgressInfo=true)
| Move a single file.
SimpleJob * | file_delete (const KURL &src, bool showProgressInfo=true)
| Delete a single file.
ListJob * | listDir (const KURL &url, bool showProgressInfo=true, bool includeHidden=true)
| List the contents of `url`, which is assumed to be a directory.
ListJob * | listRecursive (const KURL &url, bool showProgressInfo=true, bool includeHidden=true)
| The same as the previous method, but recurses subdirectories.
CopyJob * | copy (const KURL &src, const KURL &dest, bool showProgressInfo=true)
| Copy a file or directory `src` into the destination , which can be a file (including the final filename) or a directory (into which `src` will be copied).
CopyJob * | copyAs (const KURL &src, const KURL &dest, bool showProgressInfo=true)
| Copy a file or directory `src` into the destination , which is the destination name in any case, even for a directory.
CopyJob * | copy (const KURL::List &src, const KURL &dest, bool showProgressInfo=true)
| Copy a list of file/dirs `src` into a destination directory `dest`.
CopyJob * | move (const KURL &src, const KURL &dest, bool showProgressInfo=true)
CopyJob * | moveAs (const KURL &src, const KURL &dest, bool showProgressInfo=true)
CopyJob * | move (const KURL::List &src, const KURL &dest, bool showProgressInfo=true)
CopyJob * | link (const KURL &src, const KURL &destDir, bool showProgressInfo=true)
| Create a link.
CopyJob * | link (const KURL::List &src, const KURL &destDir, bool showProgressInfo=true)
CopyJob * | linkAs (const KURL &src, const KURL &dest, bool showProgressInfo=true)
DeleteJob * | del (const KURL &src, bool shred=false, bool showProgressInfo=true)
| Delete a file or directory.
DeleteJob * | del (const KURL::List &src, bool shred=false, bool showProgressInfo=true)
int | matchConstraint (const ParseTreeBase *_tree, const KService::Ptr &_service, const KServiceTypeProfile::OfferList &_list)
PreferencesReturn | matchPreferences (const ParseTreeBase *_tree, const KService::Ptr &_service, const KServiceTypeProfile::OfferList &_list)
ParseTreeBase::Ptr | parseConstraints (const QString &_constr)
ParseTreeBase::Ptr | parsePreferences (const QString &_prefs)
MetaInfoJob * | fileMetaInfo (const KFileItemList &items)
| Retrieves meta information for the given items.
MetaInfoJob * | fileMetaInfo (const KURL::List &items)
| Same as above, but takes a URL list instead of KFileItemList.
Job * | pasteClipboard (const KURL &_dest_url, bool move=false)
void | pasteData (const KURL &_dest_url, const QByteArray &_data)
bool | isClipboardEmpty ()
PreviewJob * | filePreview (const KFileItemList &items, int width, int height=0, int iconSize=0, int iconAlpha=70, bool scale=true, bool save=true, const QStringList *enabledPlugins=0)
| Generates or retrieves a preview image for the given URL.
PreviewJob * | filePreview (const KURL::List &items, int width, int height=0, int iconSize=0, int iconAlpha=70, bool scale=true, bool save=true, const QStringList *enabledPlugins=0)
| Same as above, but takes a URL list instead of KFileItemList.
RenameDlg_Result | open_RenameDlg (const QString &caption, const QString &src, const QString &dest, RenameDlg_Mode mode, QString &newDestPath, KIO::filesize_t sizeSrc=(KIO::filesize_t)-1, KIO::filesize_t sizeDest=(KIO::filesize_t)-1, time_t ctimeSrc=(time_t)-1, time_t ctimeDest=(time_t)-1, time_t mtimeSrc=(time_t)-1, time_t mtimeDest=(time_t)-1)
SkipDlg_Result | open_SkipDlg (bool _multi, const QString &_error_text=QString::null)
void | readConfig (KConfig *config, const QString &group, MetaData *metaData)
## Variables
KStaticDeleter< SlaveConfig > | slaveconfigsd

## Detailed Description

A namespace for KIO globals.

## Typedef Documentation

typedef QValueList<UDSAtom> KIO::UDSEntry

| An entry is the list of atoms containing all the informations for a file or URL. Definition at line 324 of file global.h. Referenced by KFileItem::entry(), KFileItem::KFileItem(), KIO::SlaveBase::listEntry(), KFileItem::refresh(), KIO::PreviewJob::slotResult(), KIO::DeleteJob::slotResult(), KIO::NetAccess::stat(), and KIO::SlaveBase::statEntry().

## Enumeration Type Documentation

enum KIO::Error

| Error codes that can be emitted by KIO. Definition at line 97 of file global.h.

enum KIO::UDSAtomTypes

  | Constants used to specify the type of a KUDSAtom. Enumeration values:
  UDS_STRING | First let's define the item types.
  UDS_SIZE | Size of the file.
  UDS_USER | User ID of the file owner.
  UDS_GROUP | Group ID of the file owner.
  UDS_NAME | Filename.
  UDS_ACCESS | Access permissions (part of the mode returned by stat).
  UDS_MODIFICATION_TIME | The last time the file was modified.
  UDS_ACCESS_TIME | The last time the file was opened.
  UDS_CREATION_TIME | The time the file was created.
  UDS_FILE_TYPE | File type, part of the mode returned by stat (for a link, this returns the file type of the pointed item) check UDS_LINK_DEST to know if this is a link.
  UDS_LINK_DEST | Name of the file where the link points to Allows to check for a symlink (don't use S_ISLNK !).
  UDS_URL | An alternative URL (If different from the caption).
  UDS_MIME_TYPE | A mime type; prevents guessing.
  UDS_GUESSED_MIME_TYPE | A mime type to be used for displaying only. But when 'running' the file, the mimetype is re-determined
  UDS_XML_PROPERTIES | XML properties, e.g. for WebDAV Since: 3.1
Definition at line 207 of file global.h.

enum KIO::CacheControl

  | Enumeration values:
  CC_CacheOnly | Fail request if not in cache.
  CC_Cache | Use cached entry if available.
  CC_Verify | Validate cached entry with remote site if expired.
  CC_Refresh | Always validate cached entry with remote site Since: 3.1.
  CC_Reload | Always fetch from remote site.
Definition at line 249 of file global.h.

enum KIO::Command

| Commands that can be invoked by a job. Definition at line 43 of file slaveinterface.h.

enum KIO::Info

| Identifiers for KIO informational messages. Definition at line 79 of file slaveinterface.h.

enum KIO::Message

| Identifiers for KIO data messages. Definition at line 99 of file slaveinterface.h.

## Function Documentation

ChmodJob * KIO::chmod | ( | const KFileItemList & | lstItems,
|  | int | permissions,
|  | int | mask,
|  | QString | newOwner,
|  | QString | newGroup,
|  | bool | recursive,
|  | bool | showProgressInfo = true
| ) |

  | Creates a job that changes permissions/ownership on several files or directories, optionally recursively. This version of chmod uses a KFileItemList so that it directly knows what to do with the items. TODO: a version that takes a KURL::List, and a general job that stats each url and returns a KFileItemList. Note that change of ownership is only supported for local files. Inside directories, the "x" bits will only be changed for files that had at least one "x" bit before, and for directories. This emulates the behaviour of chmod +X. Parameters:
  lstItems | The file items representing several files or directories.
  permissions | the permissions we want to set
  mask | the bits we are allowed to change For instance, if mask is 0077, we don't change the "user" bits, only "group" and "others".
  newOwner | If non-empty, the new owner for the files
  newGroup | If non-empty, the new group for the files
  recursive | whether to open directories recursively
Returns: The job handling the operation. Definition at line 236 of file chmodjob.cpp. References QFile::encodeName(), and QString::isEmpty(). Referenced by KFilePermissionsPropsPlugin::applyChanges().

QString KIO::convertSize | ( | KIO::filesize_t | size | ) |

  | Converts `size` from bytes to the string representation. Parameters:
  size | size in bytes
Returns: converted size as a string - e.g. 123.4 kB , 12.0 MB Definition at line 46 of file global.cpp. References QString::arg(), and KGlobal::locale(). Referenced by convertSizeFromKB(), KFileItem::getToolTipText(), and KFileMimeTypeInfo::ItemInfo::string().

QString KIO::number | ( | KIO::filesize_t | size | ) |

  | Converts a size to a string representation Not unlike QString::number(...). Parameters:
  size | size in bytes
Returns: converted size as a string - e.g. 123456789 Definition at line 85 of file global.cpp. References QString::fromLatin1(). Referenced by KIO::SlaveBase::canResume(), KBookmarkManager::findByAddress(), KURLBar::readItem(), KFileView::sortingKey(), and KURLBar::writeItem().

QString KIO::convertSizeFromKB | ( | KIO::filesize_t | kbSize | ) |

  | Converts size from kilo-bytes to the string representation. Parameters:
  size | size in kilo-bytes
Returns: converted size as a string - e.g. 123.4 kB , 12.0 MB Definition at line 80 of file global.cpp. References convertSize(). Referenced by KFileMimeTypeInfo::ItemInfo::string().

QTime KIO::calculateRemaining | ( | KIO::filesize_t | totalSize,
|  | KIO::filesize_t | processedSize,
|  | KIO::filesize_t | speed
| ) |

  | Calculates remaining time from total size, processed size and speed. Parameters:
  totalSize | total size in bytes
  processedSize | processed size in bytes
  speed | speed in bytes pre second
Returns: calculated remaining time Definition at line 92 of file global.cpp. References QTime::setHMS().

QString KIO::itemsSummaryString | ( | uint | items,
|  | uint | files,
|  | uint | dirs,
|  | KIO::filesize_t | size,
|  | bool | showSize
| ) |

  | Helper for showing information about a set of files and directories `items` = `files` + `dirs` + number of symlinks :). Parameters:
  size | the sum of the size of the _files_
  showSize | whether to show the size in the result
Definition at line 115 of file global.cpp. References QString::arg().

QString KIO::encodeFileName | ( | const QString & | str | ) |

| Encodes (from the text displayed to the real filename) This translates into % and / into 2f Used by KIO::link, for instance. Definition at line 130 of file global.cpp. References QString::find(), and QString::replace(). Referenced by KFilePropsPlugin::applyChanges().

QString KIO::decodeFileName | ( | const QString & | str | ) |

| Decodes (from the filename to the text displayed) This translates 2[fF] into / and % into . Definition at line 145 of file global.cpp. References QString::append(), QString::length(), and QString::lower(). Referenced by KFileItem::KFileItem(), KFilePropsPlugin::KFilePropsPlugin(), KPropertiesDialog::KPropertiesDialog(), and KFileItem::setURL().

QString KIO::findDeviceMountPoint | ( | const QString & | device | ) |

| Returns the mount point where `device` is mounted right now. This means, it has to be mounted, not just defined in fstab. Definition at line 1270 of file global.cpp. References QFile::encodeName(), and QCString::length(). Referenced by KDEDesktopMimeType::builtinServices(), KDEDesktopMimeType::executeService(), and KDEDesktopMimeType::icon().

QString KIO::findPathMountPoint | ( | const QString & | filename | ) |

| Returns the mount point on which resides `filename`. For instance if /home is a separate partition, findPathMountPoint("/home/user/blah") will return /home Definition at line 1733 of file global.cpp. Referenced by KDiskFreeSp::findUsageInfo(), and KFilePropsPlugin::KFilePropsPlugin().

bool KIO::probably_slow_mounted | ( | const QString & | filename | ) |

| Checks if the path belongs to a filesystem that is probably slow. It checks for NFS or for paths belonging to automounted paths not yet mounted Definition at line 1746 of file global.cpp.

bool KIO::manually_mounted | ( | const QString & | filename | ) |

  | Checks if the path belongs to a filesystem that is manually mounted. Parameters:
  filename | the file name to check
Returns: true if the filesystem is manually mounted Definition at line 1739 of file global.cpp.

SimpleJob * KIO::mkdir | ( | const KURL & | url,
|  | int | permissions = -1
| ) |

  | Creates a single directory. Parameters:
  url | The URL of the directory to create.
  permissions | The permissions to set after creating the directory.
Returns: A pointer to the job handling the operation. Definition at line 569 of file job.cpp.

SimpleJob * KIO::rmdir | ( | const KURL & | url | ) |

  | Removes a single directory. The directory is assumed to be empty. Parameters:
  url | The URL of the directory to remove.
Returns: A pointer to the job handling the operation. Definition at line 576 of file job.cpp.

SimpleJob * KIO::chmod | ( | const KURL & | url,
|  | int | permissions
| ) |

  | Changes permissions on a file or directory. See the other chmod below for changing many files or directories. Parameters:
  url | The URL of file or directory.
  permissions | The permissions to set.
Returns: The job handling the operation. Definition at line 583 of file job.cpp.

SimpleJob * KIO::rename | ( | const KURL & | src,
|  | const KURL & | dest,
|  | bool | overwrite
| ) |

  | Rename a file or directory. Warning: this operation fails if a direct renaming is not possible (like with files or dirs on separate partitions) Use move or file_move in this case. Parameters:
  src | The original URL
  dest | The final URL
  overwrite | whether to automatically overwrite if the dest exists
Returns: The job handling the operation. Definition at line 590 of file job.cpp.

SimpleJob * KIO::symlink | ( | const QString & | target,
|  | const KURL & | dest,
|  | bool | overwrite,
|  | bool | showProgressInfo = true
| ) |

  | Create or move a symlink. This is the lowlevel operation, similar to file_copy and file_move. It doesn't do any check (other than those the slave does) and it doesn't show rename and skip dialogs - use KIO::link for that. Parameters:
  target | The string that will become the "target" of the link (can be relative)
  dest | The symlink to create.
  overwrite | whether to automatically overwrite if the dest exists
Returns: The job handling the operation. Definition at line 597 of file job.cpp. Referenced by KTar::openArchive().

SimpleJob * KIO::special | ( | const KURL & | url,
|  | const QByteArray & | data,
|  | bool | showProgressInfo = true
| ) |

  | Execute any command that is specific to one slave (protocol). Examples are : HTTP POST, mount and unmount (kio_file) Parameters:
  url | The URL isn't passed to the slave, but is used to know which slave to send it to :-)
  data | Packed data. The meaning is completely dependent on the slave, but usually starts with an int for the command number.
Definition at line 604 of file job.cpp. Referenced by mount(), and unmount().

SimpleJob * KIO::mount | ( | bool | ro,
|  | const char * | fstype,
|  | const QString & | dev,
|  | const QString & | point,
|  | bool | showProgressInfo = true
| ) |

  | Mount filesystem. Special job for `kio_file`. Parameters:
  ro | Mount read-only if `true`.
  fstype | File system type (e.g. "ext2", can be 0L).
  dev | Device (e.g. /dev/sda0).
  point | Mount point, can be `null`.
Definition at line 610 of file job.cpp. References QString::fromLatin1(), Observer::mounting(), Observer::self(), and special(). Referenced by KDEDesktopMimeType::builtinServices(), and KAutoMount::KAutoMount().

SimpleJob * KIO::unmount | ( | const QString & | point,
|  | bool | showProgressInfo = true
| ) |

  | Unmount filesystem. Special job for `kio_file`. Parameters:
  mount | Point to unmount.
Definition at line 620 of file job.cpp. References Observer::self(), special(), and Observer::unmounting(). Referenced by KDEDesktopMimeType::builtinServices(), and KAutoUnmount::KAutoUnmount().

SimpleJob * KIO::http_update_cache | ( | const KURL & | url,
|  | bool | no_cache,
|  | time_t | expireDate
| ) |

  | HTTP cache update. Parameters:
  url | Url to update, protocol must be "http".
  no_cache | If true, cache entry for `url` is deleted.
  expireDate | Local machine time indicating when the entry is supposed to expire.
Definition at line 713 of file job.cpp. References KURL::protocol().

StatJob * KIO::stat | ( | const KURL & | url,
|  | bool | showProgressInfo = true
| ) |

| Find all details for one file or directory. Definition at line 695 of file job.cpp. Referenced by KMimeType::findByURL(), and KPropertiesDialog::KPropertiesDialog().

StatJob * KIO::stat | ( | const KURL & | url,
|  | bool | sideIsSource,
|  | short int | details,
|  | bool | showProgressInfo = true
| ) |

  | Find all details for one file or directory. This version of the call includes two additional booleans, `sideIsSource` and `details`. Parameters:
  sideIsSource | is true when stating a source file (we will do a get on it if the stat works) and false when stating a destination file (target of a copy).
  details | selects the level of details we want. By default this is 2 (all details wanted, including modification time, size, etc.), setDetails(1) is used when deleting: we don't need all the information if it takes too much time, no need to follow symlinks etc. setDetails(0) is used for very simple probing: we'll only get the answer "it's a file or a directory, or it doesn't exist". This is used by KRun.
Definition at line 701 of file job.cpp. References KURL::prettyURL(), Observer::self(), and Observer::stating().

TransferJob * KIO::get | ( | const KURL & | url,
|  | bool | reload = false,
|  | bool | showProgressInfo = true
| ) |

| Get (a.k.a. read). The slave emits the data through data(). Definition at line 972 of file job.cpp. References KIO::Job::addMetaData(), and KStdAccel::reload().

TransferJob * KIO::put | ( | const KURL & | url,
|  | int | permissions,
|  | bool | overwrite,
|  | bool | resume,
|  | bool | showProgressInfo = true
| ) |

  | Put (a.k.a. write) Parameters:
  url | Where to write data.
  permissions | May be -1. In this case no special permission mode is set.
  overwrite | If `true`, any existing file will be overwritten.
  resume |
Definition at line 1107 of file job.cpp.

TransferJob * KIO::http_post | ( | const KURL & | url,
|  | const QByteArray & | postData,
|  | bool | showProgressInfo = true
| ) |

| HTTP POST (for form data). Example:
        job = KIO::http_post( url, postData, false );
        job->addMetaData("content-type", contentType );
        job->addMetaData("referrer", referrerURL);

`postData` is the data that you want to send and `contentType` is the complete HTTP header line that specifies the content's MIME type, for example "Content-Type: text/xml".

You MUST specify content-type!

Often `contentType` is "Content-Type: application/x-www-form-urlencoded" and the `postData` is then an ASCII string (without null-termination!) with characters like space, linefeed and percent escaped like 20, 0A and 25.

Parameters:

  url | Where to write data.
  postData | Encoded data to post.
  showProgressInfo | true to display

Definition at line 994 of file job.cpp.

References QValueList< int >::begin(), QValueList< int >::contains(), QValueList< int >::end(), KURL::port(), KURL::protocol(), KConfigBase::readIntListEntry(), and KURL::url().

MimetypeJob * KIO::mimetype | ( | const KURL & | url,
|  | bool | showProgressInfo = true
| ) |

| Find mimetype for one file or directory. Definition at line 1164 of file job.cpp. References Observer::self(), and Observer::stating(). Referenced by KFilterDev::device(), KFilterDev::deviceForFile(), KTar::KTar(), and KDataToolInfo::query().

FileCopyJob * KIO::file_copy | ( | const KURL & | src,
|  | const KURL & | dest,
|  | int | permissions = -1,
|  | bool | overwrite = false,
|  | bool | resume = false,
|  | bool | showProgressInfo = true
| ) |

  | Copy a single file. Uses either SlaveBase::copy() if the slave supports that or get() and put() otherwise. Parameters:
  src | Where to get the file.
  dest | Where to put the file.
  permissions | May be -1. In this case no special permission mode is set.
  overwrite | If `true`, any existing file will be overwritten.
  resume |
Definition at line 1530 of file job.cpp.

FileCopyJob * KIO::file_move | ( | const KURL & | src,
|  | const KURL & | dest,
|  | int | permissions = -1,
|  | bool | overwrite = false,
|  | bool | resume = false,
|  | bool | showProgressInfo = true
| ) |

  | Move a single file. Use either SlaveBase::rename() if the slave supports that, or copy() and del() otherwise, or eventually get() & put() & del() Parameters:
  src | Where to get the file.
  dest | Where to put the file.
  permissions | May be -1. In this case no special permission mode is set.
  overwrite | If `true`, any existing file will be overwritten.
  resume |
Definition at line 1536 of file job.cpp.

SimpleJob * KIO::file_delete | ( | const KURL & | src,
|  | bool | showProgressInfo = true
| ) |

  | Delete a single file. Parameters:
  src | File to delete.
Definition at line 1542 of file job.cpp.

ListJob * KIO::listDir | ( | const KURL & | url,
|  | bool | showProgressInfo = true,
|  | bool | includeHidden = true
| ) |

| List the contents of `url`, which is assumed to be a directory. "." and ".." are returned, filter them out if you don't want them. pass includeHidden = false to cull out UNIX hidden files/dirs (whose names start with .) Definition at line 1691 of file job.cpp.

ListJob * KIO::listRecursive | ( | const KURL & | url,
|  | bool | showProgressInfo = true,
|  | bool | includeHidden = true
| ) |

| The same as the previous method, but recurses subdirectories. "." and ".." are returned but only for the toplevel directory. Filter them out if you don't want them. pass includeHidden = false to cull out UNIX hidden files/dirs (whose names start with .) Definition at line 1697 of file job.cpp. Referenced by KIO::DeleteJob::slotResult().

CopyJob * KIO::copy | ( | const KURL & | src,
|  | const KURL & | dest,
|  | bool | showProgressInfo = true
| ) |

| Copy a file or directory `src` into the destination , which can be a file (including the final filename) or a directory (into which `src` will be copied). This emulates the `cp` command completely. Definition at line 2917 of file job.cpp. References QValueList< KURL >::append(). Referenced by KFilePropsPlugin::applyChanges().

CopyJob * KIO::copyAs | ( | const KURL & | src,
|  | const KURL & | dest,
|  | bool | showProgressInfo = true
| ) |

| Copy a file or directory `src` into the destination , which is the destination name in any case, even for a directory. As opposed to copy, this doesn't emulate `cp`, but is the only way to copy a directory, giving it a new name and getting an error box if a directory already exists with the same name. Definition at line 2925 of file job.cpp. References QValueList< KURL >::append().

CopyJob * KIO::copy | ( | const KURL::List & | src,
|  | const KURL & | dest,
|  | bool | showProgressInfo = true
| ) |

| Copy a list of file/dirs `src` into a destination directory `dest`. Definition at line 2933 of file job.cpp.

CopyJob * KIO::move | ( | const KURL & | src,
|  | const KURL & | dest,
|  | bool | showProgressInfo = true
| ) |

| See also: copy Definition at line 2938 of file job.cpp. References QValueList< KURL >::append(). Referenced by KFilePropsPlugin::applyChanges().

CopyJob * KIO::moveAs | ( | const KURL & | src,
|  | const KURL & | dest,
|  | bool | showProgressInfo = true
| ) |

| See also: copyAs Definition at line 2945 of file job.cpp. References QValueList< KURL >::append().

CopyJob * KIO::move | ( | const KURL::List & | src,
|  | const KURL & | dest,
|  | bool | showProgressInfo = true
| ) |

| See also: copy Definition at line 2952 of file job.cpp.

CopyJob * KIO::link | ( | const KURL & | src,
|  | const KURL & | destDir,
|  | bool | showProgressInfo = true
| ) |

  | Create a link. Parameters:
  src | The existing file or directory, 'target' of the link.
  destDir | Destination directory where the link will be created. If the protocols and hosts are the same, a Unix symlink will be created. Otherwise, a .desktop file of Type Link and pointing to the src URL will be created.
Definition at line 2957 of file job.cpp. References QValueList< KURL >::append().

CopyJob * KIO::link | ( | const KURL::List & | src,
|  | const KURL & | destDir,
|  | bool | showProgressInfo = true
| ) |

| See also: link Definition at line 2964 of file job.cpp.

CopyJob * KIO::linkAs | ( | const KURL & | src,
|  | const KURL & | dest,
|  | bool | showProgressInfo = true
| ) |

| See also: link and copyAs Definition at line 2969 of file job.cpp. References QValueList< KURL >::append().

DeleteJob * KIO::del | ( | const KURL & | src,
|  | bool | shred = false,
|  | bool | showProgressInfo = true
| ) |

  | Delete a file or directory. Parameters:
  src | file to delete
  shred | If `true`, delete in a way that makes recovery impossible (only supported for local files currently)
Definition at line 3390 of file job.cpp. References QValueList< KURL >::append(). Referenced by KDirOperator::del().

int KIO::matchConstraint | ( | const ParseTreeBase * | _tree,
|  | const KService::Ptr & | ,
|  | const KServiceTypeProfile::OfferList & |
| ) |

| Returns: 0 => Does not match 1 => Does match <0 => Error Definition at line 591 of file ktraderparsetree.cpp. References matchConstraint(). Referenced by matchConstraint(), and KTrader::query().

PreferencesReturn KIO::matchPreferences | ( | const ParseTreeBase * | _tree,
|  | const KService::Ptr & | ,
|  | const KServiceTypeProfile::OfferList & |
| ) |

| Returns: 1 on success or <0 on Error Definition at line 612 of file ktraderparsetree.cpp. References matchPreferences(). Referenced by matchPreferences(), and KTrader::query().

MetaInfoJob * KIO::fileMetaInfo | ( | const KFileItemList & | items | ) |

  | Retrieves meta information for the given items. Parameters:
  items | files to get metainfo for
  save | if the data should be cached for later use
  enabledPlugins | if non-zero, this points to a list containing the names of the plugins that may be used. see availablePlugins.
Definition at line 175 of file metainfojob.cpp.

MetaInfoJob * KIO::fileMetaInfo | ( | const KURL::List & | items | ) |

| Same as above, but takes a URL list instead of KFileItemList. Definition at line 180 of file metainfojob.cpp. References QPtrList::append(), QValueList< KURL >::begin(), QValueList< KURL >::ConstIterator(), and QValueList< KURL >::end().

PreviewJob * KIO::filePreview | ( | const KFileItemList & | items,
|  | int | width,
|  | int | height = 0,
|  | int | iconSize = 0,
|  | int | iconAlpha = 70,
|  | bool | scale = true,
|  | bool | save = true,
|  | const QStringList * | enabledPlugins = 0
| ) |

  | Generates or retrieves a preview image for the given URL. Parameters:
  items | files to get previews for
  width | the maximum width to use
  height | the maximum height to use, if this is 0, the same value as width is used.
  iconSize | the size of the mimetype icon to overlay over the preview or zero to not overlay an icon. This has no effect if the preview plugin that will be used doesn't use icon overlays.
  iconAlpha | transparency to use for the icon overlay
  scale | if the image is to be scaled to the requested size or returned in its original size
  save | if the image should be cached for later use
  enabledPlugins | if non-zero, this points to a list containing the names of the plugins that may be used. see availablePlugins.
Definition at line 494 of file previewjob.cpp. References KStdAccel::save(). Referenced by KFileIconView::showPreviews().

PreviewJob * KIO::filePreview | ( | const KURL::List & | items,
|  | int | width,
|  | int | height = 0,
|  | int | iconSize = 0,
|  | int | iconAlpha = 70,
|  | bool | scale = true,
|  | bool | save = true,
|  | const QStringList * | enabledPlugins = 0
| ) |

| Same as above, but takes a URL list instead of KFileItemList. Definition at line 502 of file previewjob.cpp. References QPtrList::append(), QValueList< KURL >::begin(), QValueList< KURL >::ConstIterator(), QValueList< KURL >::end(), and KStdAccel::save().

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:24:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001